/* IRCfs - IRC FileServ for *nix.
 * Copyright (C) 2002  Nick 'Zaf' Clifford <zaf@nrc.co.nz>
 * For licensing details, refer to the LICENSE file in the source 
 * code directory.
 */
#ifndef __include_ctcp_h__
#define __include_ctcp_h__

#include "server.h"
#include "user.h"
#include "event.h"
#include "magic.h"

enum ctcp_event_types {
	ctcp_event_query,
	ctcp_event_reply
};

#define MAGIC_CTCP_EVENT_MSG	0x56af45e4
struct ctcp_event_msg {
	MAGIC magic;
	enum ctcp_event_types type;
	const char *request;
	const char *data;
	struct server *server;
	struct user *user;
};

struct eventobj *ctcp_get_event_obj();

int ctcp_send_reply(struct user *u, const char *type, const char *data);
#endif
